<?php
/*******************************************************************************
// Dictionnaire de la base de donnes

A) liste des tables (au moins celles qui sont rfrences par cl trangre)

Pour chaque table on a :
-	 descField : champ(s) de description de la zone  afficher dans les select 
   (il peut tre diffrent de celui dfini dans le dictionnaire des tables dicTable[]
-	 standardOrderBy : champ(s) de tri pour les contrles	du type liste droulantes 
*******************************************************************************/
$refTable['typearticle']['comment']='Type Article';
$refTable['typearticle']['descField']='typADesc';
$refTable['typearticle']['standardOrderBy']='typeACode';

$refTable['motifemprunt']['comment']="Motif d'emprunt";
$refTable['motifemprunt']['descField']='motifEmpDesc';
$refTable['motifemprunt']['standardOrderBy']='motifEmpCode';

$refTable['article']['comment']='Article';
$refTable['article']['descField']='artDesc';
$refTable['article']['standardOrderBy']='artNum';

$refTable['plongeur']['comment']='Plongeur';
$refTable['plongeur']['descField']=array('ploNom', 'ploPrenom');
$refTable['plongeur']['standardOrderBy']='ploNum';

// B) signature des cls trangres
/* 
Ce tableau est  2 dimensions et conient un tableau :
1. nom de la table
2. nom du champ qui y est cl trangre
3. donnes de rfrencement :
-	 0 (in)				: nom de la table rfrence ou valeurs particulires pour objets externes (voir liste en dessous)
-	 1 (reference) : nom du champ rfrenc. Dans les cas o on a une valeur particulire, il s'agit du chemin d'accs  l'objets externe
-	 2 (null)			: valeur nulle autorise ; contenu='yes'/'no'

Liste des valeurs particulires faisant rfrence  des objets externes.
Dans ce cas, 'rfrence' contient le chemin d'accs  l'objet,  partir du rpertoire o est la feuille qui l'appelle :
-		 IMG : image ; 
-		 URL : adresse de site ou de page ; 

Champ qui rfrence un champ dans une autre table (nom table, nom champ, null autoris (yes/no))
*******************************************************************************/
$refField['article']['typACode']=array('typearticle','typACode','no'); 
$refField['emprunter']['ploNum']=array('plongeur', 'ploCode', 'no'); 
$refField['emprunter']['artNum']=array('article', 'artNum', 'no'); 
$refField['emprunter']['typECode']=array('motifemprunt', 'motifEmpCode', 'no'); 

// anciennes dfinitions
//$refField['typeACode']['reference']='typeACode'; $refField['typeACode']['in']='typearticle'; //$refField['typeACode']['null']='yes';
//$refField['ploNum']['reference']='ploNum'; $refField['ploNum']['in']='plongeur';
//$refField['artNum']['reference']='artNum'; $refField['artNum']['in']='article';
//$refField['motifEmpCode']['reference']='motifEmpCode'; $refField['motifEmpCode']['in']='motifemprunt';
//$refField['typACode']['reference']='typACode'; $refField['typACode']['in']='typearticle';
?>
