<?php
session_start();
// ========================================================================================
// Ajouter un article dans le panier
// ========================================================================================
include "library/DB_fct.inc.php";
include "library/CART_fct.inc.php";
include "library/_baseDesign.inc.php";
// ========================================================================================
// Fonctions locales
// ========================================================================================
// -------------------------------------------------------------------
function _menuRight(){
global $_SESSION;
global $connexion;
global $panierId;
	if (isset($_SESSION['num'])) echo "ok";
	// CART_previewCart($panierId);
	// echo "<center><input type=button onclick='history.back();' name=back value='Retour' /></center>";

	echo "<div class=help>Continuez vos achats ou validez le panier.</div>\n";
}
// ========================================================================================
// MAIN()
// ========================================================================================
$userId="";
$pageName="cdeArtCartAdd.php";
$headTitle="Commande Article - ajout au panier";
$contentTitle="Ajouter l'article au panier";

// =========================================================================
// vérification des paramètres obligatoires
// =========================================================================
$errorCode=false; // a priori, pas d'erreur

// Récup ou création du n° de panier (pour identifier le panier si on fait une commande)
//$panierId=0;
//(isset($_REQUEST['id'])&&!empty($_REQUEST['id']))?$panierId=$_REQUEST['id']:$errorCode=100; // 100 panier non défini
(isset($_REQUEST['id'])&&!empty($_REQUEST['id']))?$panierId=$_REQUEST['id']:$panierId=CART_getCartRandomId(); // 
// Récup de l'enregistrement, vérif s'il n'y a pas d'erreur de code.
(isset($_REQUEST['artCode']))?$artCode=$_REQUEST['artCode']:$errorCode=200; // 200 article non défini
(isset($_REQUEST['qteCde']))?$artQty=$_REQUEST['qteCde']:$errorCode=300; // 300 quantité non définie

if ($errorCode) {
	// ERREUR le panier n'est pas défini, effectuer une redirection soit en page précédente, soit vers l'index
	echo "Erreur n° $errorCode";
	exit(0); // fin du script
}

//------------------------------------------------------------------------
// connexion et ouverture de la requête à afficher
	$connexion=DB_connecter(); 
//------------------------------------------------------------------------
// Rechercher l'item choisi
$requete="Select * from article WHERE artCode='$artCode' ;";
$t_record=DB_chercherEnreg($requete, $connexion);

// EN CAS D'ERREUR : Envoi de la page de redirection de base (goToUrl())
if (!$t_record){ 
	$message="Erreur de paramètre ($artCode). Attendre la redirection ou <a href=\"javascript:history.back()\">Retour page précédente !</a>";
	$backUrlCompltete="index.php";
	_goToUrl($message, $backUrlCompltete, '', ''); // pour l'instant, on perd l'utilisateur, voir comment corriger ça ... variables de session ?
	exit(0);
}
//------------------------------------------------------------------------
// Faire le calcul du stock courant (non, on le refera à la validation du panier)
	$stockCourant=0;

// Ajouter l'article au panier
	if (!CART_addItem($panierId, $artCode, $artQty)) echo "erreur de création du panier";

//========================================================================
// AFFICHAGE
//========================================================================
_pageHeader($userId);	// entête de page et menu
//------------------------------------------------------------------------------------------------------------
// Affichage de l'item choisi
//------------------------------------------------------------------------------------------------------------
$messageAddOk="L'article $artCode - ".$t_record['artDesc']." a été ajouté à votre panier";
$messageValeurPanier="Le montant de votre panier est de ...";
$lienContinuerAchats="<a href=cdeArtLst.php?id=$panierId >Continuer les achats</a>";
$lienValiderPanier="<a href='cdeCartDsp.php?id=$panierId&returnUrl=' >Valider le panier</a>";

echo "<ul>";
echo "<li class=msgAddOk>$messageAddOk</li>";
echo "<li class=msgAddOk>$messageValeurPanier</li>";
echo "<li class=msgAddOk>$lienContinuerAchats</li>";
echo "<li class=msgAddOk>$lienValiderPanier</li>";
echo "<ul>";

// Afficher le module commande (formulaire)
// FIN Afficher le module commande (formulaire)
//========================================================================
// fin de page
//========================================================================
_pageFooter(); // pied de page
?>