<?php
//session_start();
// ========================================================================================
// Imprimer la commande en PDF
//
// Note : ce fichier doit tre cod en caractres ANSI pour que les accents apparaissent correctement
// ========================================================================================
/* Petite aide fpdf ; Les mthodes utilises
	
    AddPage: ajoute une page dans le document;
    SetFont: dtermine la font utilise (B pour Bold);
    Text(float x, float y, string txt): Dans l'exemple ci-dessus, Text crit "Uniquement un texte" en position (40, 10);
    Output: permet d'afficher le document gnr dans le navigateur.
	Write(float h, string txt [, mixed link]) Write crit un texte sur plusieurs lignes si il rencontre la marge droite ou \n. /ex :"Ceci est un texte multilignes \nEt voici la deuxime ligne". h est la hauteur des lignes (en mm) et \n donne le saut.
	MultiCell : imprime plusieurs cellules l'une en-dessous de l'autre
	MultiCell(float cellWidth, float cellHeight, string text [, mixed border (0=none, 1=cadre) [, string align [, boolean fill]]])
    
	Cell(largeur, hauteur, texte imprim, border (0=non, 1=cadre, L=left, T, R, B=bottom), dplacement du curseur d'impression (0=CR, 1=LF+CR, 2=LF), alignement (C=centrer, L ou vide=gauche, R=droite), couleur fond (true/FALSE) utilis aprs setFillColor(), url ou id retourn par addLink())
	ou, en raccourci :
	cell(largeur, hauteur, texte, border, dplacement du curseur , alignement)
	
	Cell(80); crit une cellule vide sans bord de 80 mm de large  partir de l'endroit o l'on se trouve, c'est--dire par dfaut, en position (margeLeft, margeTop). Les marges ont la valeur 10 mm par dfaut, pour les changer, utiliser SetMargins(); L'appel SetXY(10, 90); aurait t similaire;
    Cell(float w [, float h [, string txt [, mixed border [, int ln [, string align [, int fill [, mixed link]]]]]]]) 
	
	MultiCell(float w, float h, string txt [, mixed border [, string align [, int fill]]]); Dans l'exemple ci-dessus, MultiCell crit une cellule de taille (0, 10), contenant le texte entre guillemets, avec un bord, centr et sans remplissage de la cellule. 
	
    Image(string file, float x, float y [, float w [, float h [, string type [, mixed link]]]]) Dans l'exemple ci-dessus, Image met l'image "./images/kitlogo.jpg" en position (50, 100)
	
	Header() mthode  driver (redfinir) en fonction des besoins, appele automatiquement par AddPage()
	Footer() idem, appele automatiquement par AddPage() et Close()
*/
// ========================================================================================
define('FPDF_FONTPATH','library_fpdf/font/');
//require('library_fpdf/fpdf.php');
require('library_fpdf/tfpdf.php'); // nouvelle version pour utiliser des polices UTF-8

include "library/APP_fct.inc.php";
include "library/DB_fct.inc.php";

//include("_fonctions.inc.php"); // voir ce qu'il y a dans l'original de jpe
//include "library/_baseDesign.inc.php";
// REMARQUE : le taux de TVA est 19,6 par dfaut, pour l'instant, pas de taux gr.
	$tauxTVA=19.6;
// ========================================================================================
// FONCTIONS LOCALES
// ========================================================================================
// -------------------------------------------------------------------
function _chkCdeClient($enregKey){ // Rcuprer la commande pour vrifier qu'elle existe.
global $connexion;
	return DB_chercherEnreg("SELECT * from cdeClient WHERE cdeNum=$enregKey", $connexion);
}
// -------------------------------------------------------------------
function _getCdeClient($enregKey){ // Rcuprer la commande, le client associ et le mode de paiement. On verra pour le mode de transport + tard.
global $connexion;
	$requeteSelect="SELECT * from tier, cdeClient, modePaiement 
	WHERE cliNum=tierNum AND paiemtCode=modePaiement.code AND cdeNum=$enregKey
	";
	return DB_chercherEnreg($requeteSelect, $connexion);
}
// -------------------------------------------------------------------
// (NB les fonctions _dsp...() sont  mettre dans la classe PDF tendue ( class PDF extends FPDF {...} ). voir les tuto
// ENTETE de page (NB  mettre dans la classe PDF tendue)
function _dspHeader($pdf){ // Afficher l'entete ppal de la page 
global $duplicata;
global $cdeNum;
global $t_soc;
global $t_cdeClient;
global $lineHeight;
	// Envoyer la raison sociale locale
		$posX=30; $posY=10; $padding=1; $ligne=5; $cadreHeight=($lineHeight+2)*$ligne ; $cadreWidht=60; // Dfinition du cadre : x,y  <->, v-^
		$pdf->setXY($posX, $posY);
		$pdf->Cell($cadreWidht,$cadreHeight,"", 1, 1, '');
		$pdf->Text($posX+$padding,$posY+$ligne,$t_soc['name']);
		$pdf->Text($posX+$padding,$posY+$ligne*2,$t_soc['rue']);
		$pdf->Text($posX+$padding,$posY+$ligne*3,$t_soc['ville']);
/*
		$pdf->MultiCell($cadrePos['l'], $cadrePos['h'], $t_soc['name']."\n".$socAdress, '1', '' , 0);
*/
	// Envoyer la raison sociale Client		
		$posX=100; $posY=45; $padding=1; $ligne=6; $cadreHeight=($lineHeight+2)*$ligne ; $cadreWidht=100; // Dfinition du cadre : x,y  <->, v-^		
		$pdf->setXY($posX, $posY);
		$pdf->Cell($cadreWidht,$cadreHeight,"", 1, 1, '');
		$pdf->setXY($posX+$padding, $posY+$padding);
		// MultiCell(float cellWidth, float cellHeight, string text)
		$pdf->MultiCell($cadreWidht-$padding*2, $lineHeight+2,"Client n : ".
			$t_cdeClient['tierNum']."\n".
			$t_cdeClient['tierRaisonSociale']."\n".
			$t_cdeClient['tierAdresse']."\n".
			""
		);
		
	// Envoyer le N et la date de commande
		$payMode= $t_cdeClient['paiemtCode']; // 
		$payModeLib= $t_cdeClient['libelle']; // 

		$cdeDate = $t_cdeClient['cdeDate'];		//$date = dateAnglaisVersFrancais($date);
		$pdf->Text(100,15,"Commande N ");	$pdf->Text(150,15,"$cdeNum du $cdeDate"); if ($duplicata) $pdf->Text(100,20,"Duplicata ");// Commande
		$pdf->Text(11,85,"Paiement par ");	$pdf->Text(50,85,"($payMode) $payModeLib");	// ref moyen de paiement
	// Tracer un trait de sparation
		//$pdf->SetY(($lineHeight+0)*15);
		$pdf->SetY(90);
		$pdf->Cell(0,0, '', 1, 'C');
}
// -------------------------------------------------------------------
// PIED DE PAGE (NB  mettre dans la classe PDF tendue)
function _dspFooter($pdf) {
global $t_soc;
    $pdf->SetY(266);
	$pdf->Cell(0,0, '', 1, 'C');
   // Positionnement  1,5 cm du bas
    $pdf->SetY(266);
    // Police Arial italique 8
    $pdf->SetFont('Arial','I',8);
    // Numro de page
    $pdf->Cell(0,10,$t_soc['name'].' SIRET '.$t_soc['SIRET'].' Capital : '.$t_soc['capital'].' Page '.$pdf->PageNo().'/{nb}',0,0,'C');
}
// -------------------------------------------------------------------
// Tableau color (idem autres ...)
function _dspFancyTable($header, $data, $pdf) {
global $fontSize;
	// header contient les intituls des colonnes,
	// $data contient les donnes sous forme de ligne de cellules (tableau  2 dimensions)
	
    $pdf->Ln();
	// Dfinition du tableau
		$nbCols=count($header); // normalement 6 colonnes pour une commande ???
		$w = array(24, 64, 20, 28, 20, 34); // table des largeurs de colonnes

	// enttes de colonnes
		// Couleurs, paisseur du trait et police grasse
		$pdf->SetFillColor(128,128,255);
		$pdf->SetTextColor(255);
		$pdf->SetDrawColor(128,128,128);
		$pdf->SetLineWidth(.3);
		//$pdf->SetFont('','B');

		// En-tte
		for($i=0;$i<$nbCols;$i++)
			$pdf->Cell($w[$i],7,$header[$i],1,0,'L',true);
			
    $pdf->Ln();
	
	//lignes du tableau
		// Restauration des couleurs et de la police
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		$pdf->SetFont('');

		// Donnes
		$totalHT=0;
		$fill = false; // remplir ou non la couleur
		foreach($data as $row) {
			$pdf->Cell($w[0],6,$row[0],'LR',0,'L',$fill);	// refrence
			$pdf->SetFont('','', 8);
			$pdf->Cell($w[1],6,$row[1],'LR',0,'L',$fill);	// Description
			$pdf->SetFont('','', $fontSize);
			$pdf->Cell($w[2],6,number_format($row[2],2,',',' '),'LR',0,'R',$fill); 	// qt
			$pdf->Cell($w[3],6,number_format($row[3],2,',',' ')." ",'LR',0,'R',$fill);	// PU HT 
			$pdf->Cell($w[4],6,number_format($row[4],0,',',' ')." %",'LR',0,'R',$fill);	// % Remise
			$pdf->Cell($w[5],6,number_format($row[5],2,',',' ')." ",'LR',0,'R',$fill);	// Total 
			$pdf->Ln();
			$fill = !$fill;
			$totalHT+=$row[5];
		}
		
		// complter la fin du tableau ?
		$resteLigne=0;
	// Totaux
		$pdf->Cell(array_sum($w),1,'','T');
			$pdf->Ln();
		// Total HT
		$pdf->Cell($w[0]+$w[1],6,"Total HT",'LR',0,'L',$fill);	// Total 
		$pdf->Cell(array_sum($w)-($w[0]+$w[1]),6,number_format($totalHT,2,',',' ')." ",'LR',0,'R',$fill);	// Total 
			$pdf->Ln();
		// Montant TVA
		$pdf->Cell($w[0]+$w[1],6,"TVA 20,6%",'LR',0,'L',$fill);	// Total 
		$pdf->Cell(array_sum($w)-($w[0]+$w[1]),6,number_format(($totalHT*20.6/100),2,',',' ')." ",'LR',0,'R',$fill);	// Total 
			$pdf->Ln();
		// Total TTC
		$pdf->Cell($w[0]+$w[1],6,"Total TTC",'LR',0,'L',$fill);	// Total 
		$pdf->Cell(array_sum($w)-($w[0]+$w[1]),6,number_format(($totalHT*(1+20.6/100)),2,',',' ')." ",'LR',0,'R',$fill);	// Total 
			$pdf->Ln();
	// Trait de fin du tableau
		$pdf->Cell(array_sum($w),0,'','T');
}
// ========================================================================================
// MAIN()
// ========================================================================================
$userId="";
$pageName="cdePrint.php";
$headTitle="impression commande";
$contentTitle="Impression Commande";
// Dfinition du caractre euro :
define('EURO', chr(128));

// connexion et ouverture de la base de donnes
	$connexion=DB_connecter(); 
// conversion de la codification des caractre de la base de donnes :
	$result=DB_executerRequete("SET CHARACTER SET latin1 ", $connexion);
	echo mysql_error();
	//mysql_set_charset("ISO-8859-15", $connexion);
	
// dfinition de la socit locale
	$t_soc=APP_getSoc();
	
// Rcup des paramtres
$errorCode=false;
//(isset($_REQUEST['id'])&&!empty($_REQUEST['id']))?$panierId=$_REQUEST['id']:$panierId=0; // 
$panierId=0;
(isset($_REQUEST['id'])&&!empty($_REQUEST['id']))?$cdeNum=$_REQUEST['id']:$errorCode=300; // 300 commande non dfinie
(isset($_REQUEST['duplicata'])&&!empty($_REQUEST['duplicata']))?$duplicata=true:$duplicata=false; // code duplicata

// --------------------------------
// GESTION DES ERREURS
	// Vrifier que la commande existe, la rcuprer
		$t_record=_chkCdeClient($cdeNum);
		// EN CAS D'ERREUR : Envoi de la page de redirection de base (goToUrl())
		if (!$t_record) $errorCode=310; // Commande inconnue		
	// Affichage des erreurs.
	// 		EN CAS D'ERREUR : Envoi de la page de redirection de base (goToUrl())
		if ($errorCode) {
			$message="erreur ($errorCode). <br>vous allez tre redirig vers l'index ou <a href=\"javascript:history.back()\">Demander le retour page prcdente.</a>";
			//$backUrlCompltete="index.php";
			//_goToUrl($message, $backUrlCompltete, '', ''); // pour l'instant, on perd l'utilisateur, voir comment corriger a ... variables de session ?
			echo $message;
			exit(0);
		}		
// il n'y a pas d'erreur de paramtres, on peut continuer
// --------------------------------
// Cration du pdf
	// Rcuprer l'entte de la commande client et les donnes associes
		$t_cdeClient=_getCdeClient($cdeNum);

	// initialisation du document
	

	//$pdf = new FPDF('P','mm','A4'); // nouveau document PDF (orientation=Portrait, mesures en mm, format=A4)
	$pdf = new tFPDF('P','mm','A4');
	$pdf->AddPage();				// nouvelle page par visite (<orientation, format>)
	$pdf->AliasNbPages();			// Dfinition de l'alias pour le nbr de pages ({nb} par dfaut)
	$fontSize=12;					// taille de police
	$lineHeight=($fontSize/12*3);	//
	$pdf->SetFont('Arial','B',$fontSize); // dfinition de police : type=Arial, B=Gras (I=italique, U=soulign, vide=normale), taille de police
	// ci dessous : tentative avorte de passer en codage UTF8. Ne fonctionne pas !!!
	// Ajoute une police Unicode (utilise UTF-8)
	//$pdf->AddFont('DejaVu','','DejaVuSansCondensed.ttf',true);
	//$pdf->SetFont('DejaVu','',$fontSize); // dfinition de la police

// afficher l'entte de la page	------------------------------------------------------
	_dspHeader($pdf);
		
// Envoyer le corps de la page	------------------------------------------------------
	// Pour chaque article achet, Construire puis envoyer le tableau des articles avec le montant HT
		$requeteSelect="SELECT lignecdeclientart.artCode, artDesc, qte, article.artPrixHT, ligneRemiseArticle, (qte*artPrixHT*(1-ligneRemiseArticle)) as ligneMontant, ligneEtat
		FROM lignecdeclientart, article WHERE lignecdeclientart.artCode=article.artCode AND cdeNum=$cdeNum
		";
		$requete_id=DB_ouvrirRequete($requeteSelect, $connexion);
		$t_record=DB_lireLigne($requete_id);
		if ($t_record){ // si un enregistrement est trouv :
			// cration des enttes de colonnes : code article, description (tronque), quantit, prix unitaire, remise, prix total
			$header=array("Rfrence", "Description", "Qt", "PU  HT", "Rem. %", "Total  HT");
			// crer la liste des donnes  traiter
			while ($t_record){
				$data[]=$t_record;
				$t_record=DB_lireLigne($requete_id);
			}
			// -- Fin de liste
			// envoi du tableau
			_dspFancyTable($header, $data, $pdf); 
		} // fin si ($t_record)
		// fin de la liste des articles
		
// Envoyer Le pied de page : un trait, la raison sociale, le Capital, les codes siret et TVA, etc. ...
	_dspFooter($pdf);

// Afficher le rsultat  l'cran
//$pdf->Output('cde1234.pdf', 'F');
//$pdf->Output($t_soc['name']." - cdeNum $cdeNum du $cdeDate.pdf");
 $pdf->Output();
/*
Rfrences et liens : 
	http://www.fpdf.org/
	http://localhost/erp_GFA_local/library_fpdf/tutorial/tuto7.htm
	http://openclassrooms.com/forum/sujet/utilisation-de-la-bibliotheque-fpdf-94660
	http://www.developpez.net/forums/d1385837/php/bibliotheques-frameworks/pdf/fpdf/tfpdf-fpdf-utf-8-a/
	http://www.tcpdf.org/
	http://sourceforge.net/projects/tcpdf/files/
	
*/
?>