<?php
// ========================================================================================
/* Explications : consulter la page : descIndex.html*/
// ========================================================================================
include "library/DB_fct.inc.php";
include "library/install.inc.php";
include "library/_baseDesign.inc.php";
// ========================================================================================
// FONCTIONS LOCALES
// ========================================================================================
// cette fonction doit être déclarée, même vide car elle est appelée dans _pageHeader() mais n'y est pas définie
// car elle est propre à chaque page. elle sert à remplir la colonne de droite pour créer un menu contextuel
function _menuRight(){
global $_REQUEST;
echo "";
echo "<div class='help'>
	Pour&nbsp;changer&nbsp;de&nbsp;contexte : <a href='maintDBDelete.php?deleteDataBase=deleteDataBase'>supprimer la base</a> et réafficher cette page.
</div>";
	echo "<a href=descIndex.php target=_blank >Description et modifs</a><br>";
	echo "<a href=descScenarii.php target=_blank >Scenarii types</a><br>";
	echo "<a href=descChangelog.php target=_blank >Versions</a><br>";
	echo "<a href=descCredit.php target=_blank >Credit</a><br>";
}

// ========================================================================================
// MAIN()
// ========================================================================================
$userId="";
_pageHeader($userId);	// entête de page et menu
$connexion=DB_connecter();

if (chk_install()>2) $install=true; else $install=false;

$l_achat=$l_gescom=$l_compta=$l_gesprod=$l_gestech=$l_planif="";
if ($install){
$l_achat="cdeArtLst.php";
$l_gescom="gesComTierLst.php";
$l_compta="comptaMvtLst.php";
$l_gesprod="erpArtLst.php";
$l_gestech="beArtLst.php";
$l_planif="planif.php";
}
?>
<br> 
	<section><header></header>
		<p>
		Cette application web a pour rôle de fournir un environnement d'entraînement pour l'observation des PGI.
		</p>
		<br><br>
	</section>
	<section>
		<article>
		Elle offre une simulation :
		<ul>
			<li>de Front-Office 
				<ul>
					<li><a href='<?php echo $l_achat;?>'>Achats en ligne avec gestion de panier (entrer)</a></li>
					<li><i>Impression des commandes</i></li>
				</ul>
			</li>
			<li>de Back-Office 
				<ul>
					<li><a href='<?php echo $l_gescom;?>'>Gestion commerciale (entrer), </a>
						<ul>
						<li><i>Consultation des commandes (ré)impression des commandes, bl, facture, reçu</i></li>
						<li><i>Traitement des commandes > livraison >facturation > encaissement (ou dans le désordre)</i></li>
						</ul>
					</li>
					<li><a href='<?php echo $l_compta;?>'>Comptabilité (entrer), </a>
						<ul>
						<li><i>Consultation des mouvements comptable issus de l'activité de l'entreprise</i></li>
						</ul>
					</li>
					<li><a href='<?php echo $l_gesprod;?>'>Gestion de production (entrer), </a>
						<ul>
						<li><i>Consultation des besoins et données techniques</i></li>
						<li><i>Calcul des besoins</i></li>
						</ul>
					</li>
					<li><a href='<?php echo $l_gestech;?>'><i>Gestion des données techniques (entrer)</i></a>
						<ul>
						<li><i>Consultation et modification des données techniques (gammes et nomenclatures)</i></li>
						<li><i>Modification des articles</i></li>
						</ul>
					</li>
					<li><a href='<?php //echo $l_gesachat;?>'><i>Gestion des achats (A venir)</i></a>
						<ul>
						<li><i>Gestion des fournisseurs</i></li>
						<li><i>Gestion des commandes fournisseurs</i></li>
						</ul>
					</li>
				</ul>
			</li>
		</ul>
		</article>
		<article>
		Elle n'offre pas (encore) de simulation pour :
		<ul>
			<li>en Front-Office 
				<ul>
					<li>Gestion des Devis</li>
				</ul>
			</li>
			<li>de Back-Office 
				<ul>
					<li>Gestion de la facturation</li>
					<li>Gestion des stocks (en cours), </li>
					<li>Planification</li>
				</ul>
			</li>
			<li>Pas de gestion d'autorisations d'accès</li> 
		</ul>
		<br>
		</article>
<?php
if ($install){
?>
		<article>
		<ul>
			<!--<li><a href='?chgContext=yes'>Changer ou réinstaller le contexte</a></li>-->
		</ul>
		</article>
		<article class="help"><header><b>Remarque</b></header>
			Les écrans n'ont peu ou pas de lien retour vers la page précédente. 
			<br>Utiliser la bouton "page précédente" du navigateur ou la combinaison de touches : Alt + flèche gauche.
		</article>
		<article class="help"><header><b>Fonctionnement des écrans</b></header>
			Les pages d'accueil de chaque domaine de gestion (Achats en ligne, Gestion commerciale, etc.) sont accessibles depuis le menu principal de gauche ou en tête de page.<br>
			Chaque écran propose des actions possibles sur l'écran et évantiellement des liens vers d'autres fonction de cet simulation d'erp.<br>
			Ces actions et liens sont indiqués dans la colonne de droite des écrans. 
			<br>
		</article>

<?php
}else{
	do_install();
}
?>
	</section>
	<section>
		<i>Quand on n'a que l'humour à s'offrir en partage ...<i><br>
		<span style="float:right;text-align:right;"><i>L'économie : c'est des statistiques, de la psychologie et beaucoup de bla bla<br><a href="http://fr.wikipedia.org/wiki/Bernard_Maris">Bernard Maris</a> (1946-2015/01/07 - <a href="http://fr.wikipedia.org/wiki/Attentat_contre_Charlie_Hebdo">Je suis Charlie</a>)<i></span>
	</section>
<?php
_pageFooter(); // pied de page

/* poubelle de code =======================================================================
$opts['fdd']['telephone'] = array(
  'name'     => 'Telephone',
  'colDesc'  => 'Téléphone',
  'select'   => 'T',
  'maxlen'   => 20,
  'required' => true,
  'sort'     => true
);
*/
?>
